#include "delay.h"
#include "usart.h"
#include "stm32f30x.h"
#include "stm32f30x_conf.h"
#include <stdio.h>

RCC_ClocksTypeDef RCC_Clocks;

void init_board(void)
{
	GPIO_InitTypeDef  GPIO_InitStructure;

	// Enable the GPIO Clock
	RCC_AHBPeriphClockCmd(RCC_AHBPeriph_GPIOB, ENABLE);

	// Configure the pin
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	GPIO_Init(GPIOB, &GPIO_InitStructure);

//	USART2_Init(115200);
//	printf("\nUART2 initialized\n\r");
}

void set_buzzer(int state)
{
	if (state)
	{
		GPIOB->BSRR = GPIO_Pin_0;
	}
	else
	{
		GPIOB->BRR = GPIO_Pin_0;
	}
}

int main(void)
{
	/*!< At this stage the microcontroller clock setting is already configured,
	this is done through SystemInit() function which is called from startup
	file (startup_stm32f30x.s) before to branch to application main.
	To reconfigure the default setting of SystemInit() function, refer to
	system_stm32f30x.c file
	*/
	init_board();

	while (1)
	{
		set_buzzer(1);
		Delay1k(100);
		set_buzzer(0);
		Delay1k(900);
	}
}





#ifdef  USE_FULL_ASSERT

/**
 * @brief  Reports the name of the source file and the source line number
 *         where the assert_param error has occurred.
 * @param  file: pointer to the source file name
 * @param  line: assert_param error line source number
 * @retval None
 */
void assert_failed(uint8_t* file, uint32_t line)
{
	/* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

	/* Infinite loop */
	while (1)
	{
	}
}
#endif




